Skip to main content
GET
/
datasources
/
{datasource_id}
Get data-source connector
curl --request GET \
  --url https://api.zenskar.com/datasources/{datasource_id} \
  --header 'organisation: <api-key>' \
  --header 'x-api-key: <api-key>'
{
  "datasource": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "connector_type": "<string>",
    "destination": "<string>",
    "status": "active",
    "remote_conn": true,
    "message": "<string>"
  },
  "connection": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Path Parameters

datasource_id
string<uuid>
required

Query Parameters

with_refreshed_catalog
boolean
default:false

Response

Successful Response

Data source Response Schema

datasource
DataSourceSchema · object
required

Data source

connection
Connection · object

Connection